//
//  AridityIndex.swift
//  AridityIndex
//
//  Created by Park on 10/8/15.
//  Copyright © 2015 Kyoung Shin Park. All rights reserved.
//

import Foundation

enum AridityIndex {
    case Perhumid
    case Humid
    case SubHumid
    case SemiArid
    case Arid
    case ExtremelyArid
    
    init(_ name: String)
    {
        switch name {
        case "Perhumid": self = .Perhumid
        case "Humid": self = .Humid
        case "SubHumid": self = .SubHumid
        case "SemiArid": self = .SemiArid
        case "Arid": self = .Arid
        case "ExtremelyArid": self = .ExtremelyArid
        default: self = .Perhumid
        }
    }
    var description: String {
        switch self {
        case .Perhumid: return "Perhumid"
        case .Humid: return "Humid"
        case .SubHumid: return "SubHumid"
        case .SemiArid: return "SemiArid"
        case .Arid: return "Arid"
        case .ExtremelyArid: return "ExtremelyArid"
        }
    }
}

class AridityIndexCalculator {
    
    var prepitation: Double
    var temperature: Double
    
    init() {
        prepitation = 10.0
        temperature = 20.0
    }

    var AridityIndexValue : AridityIndex {
        get {
            return calculateAridityIndex()
        }
    }
    
    func calculateAridityIndex() -> AridityIndex {
        let ai = prepitation / (temperature + 10)
        print(ai)
        switch ai {
        case 0 ..< 5.0:
            return AridityIndex.ExtremelyArid
        case 5.0 ..< 15.0:
            return AridityIndex.Arid
        case 15.0 ..< 20:
            return AridityIndex.SemiArid
        case 20 ..< 30.0:
            return AridityIndex.SubHumid
        case 30.0 ..< 60.0:
            return AridityIndex.Humid
        default:
            return AridityIndex.Perhumid
        }
    }
}

