//
//  ViewController.swift
//  AridityIndex
//
//  Created by Kyoung Shin Park on 10/5/15.
//  Copyright © 2015 Kyoung Shin Park. All rights reserved.
//

import UIKit

extension String {
    func toDouble() -> Double {
        if let unwrappedNum = Double(self) {
            return unwrappedNum
        }
        else {
            print("Error converting \"" + self + "\" to Double")
            return 0.0
        }
    }
    func toInt() -> Int {
        if let unwrappedNum = Int(self) {
            return unwrappedNum
        }
        else {
            print("Error converting \"" + self + "\" to Int")
            return 0
        }
    }
}

class ViewController: UIViewController, UITextFieldDelegate {

    var calculator = AridityIndexCalculator()
    
    func textFieldShouldReturn(textField: UITextField) -> Bool {
        print("textFieldShouldReturn")
        textField.resignFirstResponder()
        calculator.prepitation = prepitationTextField.text!.toDouble()
        calculator.temperature = temperatureTextField.text!.toDouble()
        aridityIndexTextField.text = calculator.AridityIndexValue.description
        return true
    }

    @IBOutlet weak var prepitationTextField: UITextField!

    @IBOutlet weak var temperatureTextField: UITextField!
    
    @IBOutlet weak var aridityIndexTextField: UITextField!

    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        prepitationTextField.text = "\(calculator.prepitation)"
        temperatureTextField.text = "\(calculator.temperature)"
        aridityIndexTextField.text = calculator.calculateAridityIndex().description
        prepitationTextField.delegate = self
        temperatureTextField.delegate = self
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

